#!/usr/bin/perl -w

# $Id: alvis-pipeline-filter.pl,v 1.1 2005/06/17 18:18:08 mike Exp $

use strict;
use warnings;
use IO::File;
use Alvis::Pipeline;

die "Usage: $0 <read-host> <read-port> <spool-dir> <write-port>" if @ARGV != 4;
my($readHost, $readPort, $spooldir, $writePort) = @ARGV;
my $loglevel = 3;		### should be settable from command-line

my $in = new Alvis::Pipeline::Read(baseURL => "http://$readHost:$readPort/")
    or die "can't create read-pipe for host $readHost, port $readPort: $!";

my $out = new Alvis::Pipeline::Write(port => $writePort, spooldir => $spooldir,
				     loglevel => $loglevel)
    or die "can't create write-pipe for port $writePort, spooldir '$spooldir': $!";

while (my $xml = $in->read(1)) {
    $out->write($xml);
}
