#!/usr/bin/perl -w

# $Id: alvis-pipeline-get.pl,v 1.3 2005/06/17 18:17:11 mike Exp $

use strict;
use warnings;
use Alvis::Pipeline;

die "Usage: $0 <host> <port>" if @ARGV != 2;
my($host, $port) = @ARGV;
my $pipe = new Alvis::Pipeline::Read(baseURL => "http://$host:$port/")
    or die "can't create read-pipe for host $host, port $port: $!";

my $n = 0;
while (my $xmlDOM = $pipe->read(1)) {
    my $text = $xmlDOM->toString(1);
    $text .= "\n" if $text !~ /\n$/;
    print "=== new document ===\n$text";
    $n++;
}

$pipe->close();
print "No documents in pipeline\n"
    if $n == 0;
