#!/usr/bin/perl -w

# $Id: alvis-pipeline-put.pl,v 1.3 2005/06/17 18:17:33 mike Exp $

use strict;
use warnings;
use IO::File;
use Alvis::Pipeline;

die "Usage: $0 <port-number> <spool-dir>" if @ARGV != 2;
my($port, $spooldir) = @ARGV;
my $loglevel = 3;		### should be settable from command-line

my $pipe = new Alvis::Pipeline::Write(port => $port, spooldir => $spooldir,
				      loglevel => $loglevel)
    or die "can't create write-pipe for port $port, spooldir '$spooldir': $!";

my $count = 1;
while (1) {
    my $xml = <<__EOT__;
<?xml version="1.0" encoding="UTF-8"?>
<count>  This is document number $count</count>
__EOT__
    $pipe->write($xml);
    print "Wrote document $count to the pipe\n";
    $count++;
    sleep(int(rand() * 5) + 1);
}
