# $Id: 1-read.t,v 1.2 2005/06/17 15:45:56 mike Exp $

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Alvis-Pipeline.t'

#########################

use strict;
use warnings;
use Errno qw(EINVAL ENOENT);

# change 'tests => 1' to 'tests => last_test_to_print';
use Test::More tests => 4;

BEGIN { use_ok('Alvis::Pipeline') }

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

my $pipe;
eval { $pipe = new Alvis::Pipeline::Read(baseURL =>
				"http://www.diva-portal.org/oai/OAI") };
SKIP: {
    # For some reason -- I have no idea why -- this particular test
    # fails with $!==ENOENT, whereas the exact same test fails with
    # EINVAL in "0-creation.t".  So I check for both, but I don't feel
    # good about it.
    skip "not connected to Internet?", 3 if !defined $pipe &&
	($! == EINVAL || $! == ENOENT);
    ok(defined $pipe,
       "Read-pipe creation with explicit baseURL");

    my $doc;
    $doc = $pipe->read();
    ok(defined $doc, "got first document from read-pipe");
    #print "doc=$doc\n", $doc->toString(1);

    $doc = $pipe->read();
    ok(defined $doc, "got second document from read-pipe");
    #print "doc=$doc\n", $doc->toString(1);

    $pipe->close();
}
