# $Id: 2-write.t,v 1.2 2005/06/17 15:45:56 mike Exp $

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Alvis-Pipeline.t'

#########################

use strict;
use warnings;

# change 'tests => 1' to 'tests => last_test_to_print';
use Test::More tests => 4;

BEGIN { use_ok('Alvis::Pipeline') }

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

my $dir = "/tmp/alvis-pipeline";
system("rm -rf $dir");
my $pipe;
### eval
 { $pipe = new Alvis::Pipeline::Write(port => 29168, spooldir => $dir) };
ok(defined $pipe, "Write-pipe creation");

my $doc = <<__EOT__;
<?xml version="1.0" encoding="UTF-8"?>
<documentCollection>
  <documentRecord id="12345678">
    <acquisition>
      <originalDocument mimeType="text/plain" charSet="us-ascii">
	Hello, world!
      </originalDocument>
    </acquisition>
  </documentRecord>
</documentCollection>
__EOT__

undef $@;
eval { $pipe->write($doc) };
ok(!$@, "wrote first document to write-pipe");

$doc =~ s/Hello/Goodbye/;
eval { $pipe->write($doc) };
ok(!$@, "wrote second document to write-pipe");

$pipe->close();

# Of course, we're not really testing anything meaningful at this
# stage: that only comes when we have something reading from the
# repository, which is somewhat tricky to set up in a batch-mode test
# script.
